# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
dirac_vu::BitmapHeader Class Reference

`#include <bitmap.h>`

## Public Member Functions
| BitmapHeader ()
| BitmapHeader (int x, int y)
int | width () const
void | width (int x)
int | height () const
void | height (int y)
int | lineBufferSize () const

## Private Member Functions
std::ostream & | putTo (std::ostream &output) const
std::istream & | getFrom (std::istream &input)

## Private Attributes
int | w
int | h

## Friends
std::ostream & | operator<< (std::ostream &stream, const BitmapHeader &header)
std::istream & | operator>> (std::istream &stream, BitmapHeader &header)

## Constructor & Destructor Documentation

dirac_vu::BitmapHeader::BitmapHeader | ( |  | ) |
| inline

dirac_vu::BitmapHeader::BitmapHeader | ( | int | x,
|  | int | y
| ) |  |
| inline

## Member Function Documentation

std::istream& dirac_vu::BitmapHeader::getFrom | ( | std::istream & | input | ) |
| private

int dirac_vu::BitmapHeader::height | ( |  | ) | const
| inline

References h.

void dirac_vu::BitmapHeader::height | ( | int | y | ) |
| inline

References h.

int dirac_vu::BitmapHeader::lineBufferSize | ( |  | ) | const
| inline

References w.

std::ostream& dirac_vu::BitmapHeader::putTo | ( | std::ostream & | output | ) | const
| private

int dirac_vu::BitmapHeader::width | ( |  | ) | const
| inline

References w.

void dirac_vu::BitmapHeader::width | ( | int | x | ) |
| inline

References w.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const BitmapHeader & | header
| ) |  |
| friend

std::istream& operator>> | ( | std::istream & | stream,
|  | BitmapHeader & | header
| ) |  |
| friend

## Member Data Documentation

int dirac_vu::BitmapHeader::h
| private

Referenced by height().

int dirac_vu::BitmapHeader::w
| private

Referenced by lineBufferSize(), and width().

The documentation for this class was generated from the following file:

- bitmap.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.